Index: trunk/prototype/modules/calendar/js/map.disponibility.js
===================================================================
--- trunk/prototype/modules/calendar/js/map.disponibility.js	(revision 6444)
+++ trunk/prototype/modules/calendar/js/map.disponibility.js	(revision 6996)
@@ -8,10 +8,10 @@
 
 
-function updateMap(data){
-	var start_date = $(".new-event-win.active .start-date").val();
-	var end_date   = $(".new-event-win.active .end-date").val();
-	var start_time = $(".new-event-win.active .start-time").val();
-	var end_time   = $(".new-event-win.active .end-time").val();
-	var isAllDay   = $('.new-event-win.active input[name="allDay"]').is(':checked');
+function updateMap(viewName){
+	var start_date = $(".new-"+viewName+"-win.active .start-date").val();
+	var end_date   = $(".new-"+viewName+"-win.active .end-date").val();
+	var start_time = $(".new-"+viewName+"-win.active .start-time").val();
+	var end_time   = $(".new-"+viewName+"-win.active .end-time").val();
+	var isAllDay   = $('.new-'+viewName+'-win.active input[name="allDay"]').is(':checked');
 	
 	var formatString = User.preferences.dateFormat + " " + User.preferences.hourFormat;
@@ -21,5 +21,5 @@
 	
 	
-	var event = $("#new_event_map").fullCalendar('clientEvents', 'map')[0];
+	var event = $('.new-'+viewName+'-win .map_disponibility').fullCalendar('clientEvents', 'map')[0];
 	
 	
@@ -28,5 +28,5 @@
 			event.end = endDate;
 			event.allDay = isAllDay;
-			$("#new_event_map").fullCalendar( 'updateEvent', event )
+			$('.new-'+viewName+'-win .map_disponibility').fullCalendar( 'updateEvent', event )
 		}
 		
@@ -35,12 +35,14 @@
 
 
-function disponibily(objEvent, path, attendees){
+function disponibily(objEvent, path, attendees, viewName){
 	var formatString = User.preferences.dateFormat + " " + User.preferences.hourFormat;
 	var startDate = Date.parseExact( objEvent.startDate + " " + $.trim(objEvent.startHour) , formatString );
 	var endDate = Date.parseExact( objEvent.endDate + " " + $.trim(objEvent.endHour) , formatString );
+
+    var dialogName = {event: 'addEvent', task: 'addTask', activity: 'addActivity'}
 	 
 	var mapHtml = DataLayer.render( path+'templates/availability_map.ejs', {});
-	$("#calendar_addevent_details7").html(mapHtml);
-	$("#new_event_map").fullCalendar(DataLayer.merge({
+	$('#calendar_add'+viewName+'_details7').html(mapHtml);
+	$('.new-'+viewName+'-win .map_disponibility').fullCalendar(DataLayer.merge({
 		height : 300,
 		timeFormat: User.preferences.hourFormat,
@@ -77,5 +79,5 @@
 			if(!allDay){
 				$('[name="allDay"]').attr("checked", false); 
-				UI.dialogs.addEvent.find('.start-time, .end-time').removeClass('hidden');
+				UI.dialogs[dialogName[viewName]].find('.start-time, .end-time').removeClass('hidden');
 				
 				$('[name="startHour"]').val(start.toString(User.preferences.hourFormat));
@@ -85,5 +87,5 @@
 			}else{
 				$('[name="allDay"]').attr("checked", true); 
-				UI.dialogs.addEvent.find('.start-time, .end-time').addClass('hidden');
+				UI.dialogs[dialogName[viewName]].find('.start-time, .end-time').addClass('hidden');
 			}
 		},
@@ -98,5 +100,5 @@
 				className : "map-event",
 				backgroundColor : "transparent !important",
-				editable : objEvent.acl.write || objEvent.acl.organization
+				editable : objEvent.acl ? (objEvent.acl.write || objEvent.acl.organization) : true
 			}
 		],
@@ -104,5 +106,5 @@
 			if(event.allDay){
 				$('[name="allDay"]').attr("checked", true); 
-				UI.dialogs.addEvent.find('.start-time, .end-time').addClass('hidden');
+				UI.dialogs[dialogName[viewName]].find('.start-time, .end-time').addClass('hidden');
 				
 				$('[name="startDate"]').val(dateCalendar.toString(event.start, User.preferences.dateFormat));				
@@ -111,5 +113,5 @@
 			}else{
 				$('[name="allDay"]').attr("checked", false); 
-				UI.dialogs.addEvent.find('.start-time, .end-time').removeClass('hidden');
+				UI.dialogs[dialogName[viewName]].find('.start-time, .end-time').removeClass('hidden');
 			
 				$('[name="startHour"]').val(dateCalendar.formatDate(event.start, User.preferences.hourFormat));
@@ -132,8 +134,8 @@
 	var eventSource = new Array();
 	var updateMapView = function(){
-		updateMap();
-		var view = $("#new_event_map").fullCalendar('getView');
+		updateMap(viewName);
+		var view = $('.new-'+viewName+'-win .map_disponibility').fullCalendar('getView');
 		var map = {};
-		$("#new_event_map").fullCalendar( 'removeEventSource', eventSource );
+		$('.new-'+viewName+'-win .map_disponibility').fullCalendar( 'removeEventSource', eventSource );
 		eventSource = new Array();	
 		map = {startTime : view.start.getTime(), endTime : view.end.getTime(), attendees: {}, timezone: (objEvent.timezone || User.preferences.timezone)};
@@ -167,12 +169,11 @@
 		}
 		if(eventSource.length)
-			$("#new_event_map").fullCalendar( 'addEventSource', eventSource );
+			$('.new-'+viewName+'-win .map_disponibility').fullCalendar( 'addEventSource', eventSource );
 	}; 
-	$('[href="#calendar_addevent_details7"]').click(function(eventData, eventObject){
-		$("#new_event_map").fullCalendar( 'gotoDate', Date.parseExact($('[name="startDate"]').val() + " " + $.trim($('[name="startHour"]').val()), formatString) , formatString);
-		//if(eventObject == undefined)
-			updateMapView();
+	$('[href="#calendar_add'+viewName+'_details7"]').click(function(eventData, eventObject){
+		$('.new-'+viewName+'-win .map_disponibility').fullCalendar( 'gotoDate', Date.parseExact($('[name="startDate"]').val() + " " + $.trim($('[name="startHour"]').val()), formatString) , formatString);
+		  updateMapView();
 	});	
-	$("#new_event_map").find(".fc-button-prev, .fc-button-next, .fc-button-today").click(function(){
+	$('.new-'+viewName+'-win .map_disponibility').find(".fc-button-prev, .fc-button-next, .fc-button-today").click(function(){
 		updateMapView();
 	});
